[lsb-discuss] Qt issues: deprecating Qt 3, use of qmake, proposed database changes

Markus Rex msrex at suse.de
Wed Nov 28 07:53:44 PST 2007

On Nov 28, 07 08:53:46 -0500, Robert Schweikert wrote:
> I vote for deprecating Qt 3 for LSB 3.2 for the following reasons:
> a.) 6 years should be sufficient for people to move their apps from Qt3 to 
> Qt 4
> b.) we shouldn't force distributions to schlep old stuff longer than 
> absolutely necessary
> c.) Trolltech is already washing their hands of Qt3
> d.) we should not support two versions of the "same" module/package in the 
> e.) it makes our test coverage look much better (ha ha)

I fully agree with Robert. 6 years should be long enough to get the apps
moved. So I vote for deprication.


More information about the lsb-discuss mailing list